**Source URL:** https://general.veevavault.dev/commercial/vault-api/api-reference/26.1/direct-data/retrieve-available-direct-data-files.md

# Retrieve Available Direct Data Files



Retrieve a list of all Direct Data files available for download.

<Endpoint path="/api/{version}/services/directdata/files" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `extract_type` | The Direct Data file type: `incremental_directdata`, `full_directdata`, or `log_directdata`. If omitted, returns all files. Learn more about [Direct Data file types](/direct-data-api/references/file-structure). |
| `start_time` | Specify a time in `YYYY-MM-DDTHH:MM:SSZ` format. For example, 7AM on January 15, 2024 would use `2024-01-15T07:00:00Z`. If omitted, defaults to the Vault’s creation date and time. All Full files have a start time of `2000-01-01T00:00:00Z`. |
| `stop_time` | Specify a time in `YYYY-MM-DDTHH:MM:SSZ` format. For example, 9AM on January 15, 2024 would use `2024-01-15T09:00:00Z`. If omitted, defaults to today’s date and current time. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v24.1/services/directdata/files

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseDetails": {
        "total": 2
    },
    "data": [
        {
            "name": "1000020-20250513-1330-N",
            "filename": "1000020-20250513-1330-N.tar.gz",
            "extract_type": "incremental_directdata",
            "start_time": "2025-05-13T13:15Z",
            "stop_time": "2025-05-13T13:30Z",
            "record_count": 0,
            "size": 47567,
            "fileparts": 1,
            "filepart_details": [
                {
                    "name": "1000020-20250513-1330-N.001",
                    "filename": "1000020-20250513-1330-N.tar.gz.001",
                    "filepart": 1,
                    "size": 47567,
                    "md5checksum": "fa7d8bcff8ae95f9f511d4e88dba852e",
                    "url": "https://promomats2.yanjunzhang-pvm-1.vaultpvm.com/api/v25.2/services/directdata/private/files/1000020-20250513-1330-N.001"
                }
            ]
        },
        {
            "name": "1000020-20250513-1345-N",
            "error": {
                "next_retry": "2025-05-13T14:15Z",
                "message": "Failed to publish incremental_directdata file. No other action is needed at this time."
            }
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault lists all Direct Data files available for download.

The response includes the following metadata for each file that is published:

<FieldTable>
| Metadata Field | Description |
| --- | --- |
| `name` | The name of the Direct Data file, excluding the .gzip extension. |
| `filename` | The name of the Direct Data .gzip file. |
| `extract_type` | The Direct Data file type: `incremental_directdata`, `full_directdata`, or `log_directdata`. |
| `start_time` | The start time in `YYYY-MM-DDTHH:MM:SSZ` format. If this query parameter is not provided in the request, the start time defaults to the Vault’s creation date and time. |
| `stop_time` | The stop time in `YYYY-MM-DDTHH:MM:SSZ` format. If the query parameter is not provided in the request, the stop time defaults to today’s date and current time. |
| `record_count` | The total number of records for all extracts in the file. This may show as zero records if there is no data for the given time period. |
| `size` | The size of the Direct Data file in bytes. |
| `fileparts` | The number of file parts for a given Direct Data file. Extract files greater than 1 GB in size are split into multiple file parts. |
| `filepart_details` | A list of all file parts and their metadata. |
</FieldTable>
If Direct Data API fails to publish a file for a specific time interval, the response includes an `error` object containing the following metadata:

<FieldTable>
| Metadata Field | Description |
| --- | --- |
| `next_retry` | The time at which to reattempt retrieval of the file, in UTC. |
| `message` | The error message describing the reason for failure. |
</FieldTable>
If Direct Data API successfully publishes the file at the `next_retry` time, the response then includes the metadata for that file.



---

**Previous:** [Direct Data](/commercial/vault-api/api-reference/26.1/direct-data)  
**Next:** [Download Direct Data File](/commercial/vault-api/api-reference/26.1/direct-data/download-direct-data-file)